# SINFO-CLIENT

## NAME

sinfo-client - a monitoring tool for networked computers (client)

## SYNOPSIS

sinfo-client [-q] [-V] [-W] [-H] [-L] [-h host[:port] ] [-u user ] [-d delay ] [-s] [-o] [-i process ] [-n] [-D] [-t count ] [-i processname ] [-c scale ]

## DESCRIPTION

sinfo-client displays some information of the nodes in your local network. For each node the system load, the memory utilization and the ’TOP-5’ user processes will be displayed.

sinfo-client uses the sinfod(8) to gather these informations. For further details of the internal mechanisms refer to the sinfod(8) manual.

## OPTIONS

-q/--quiet

be quiet - don’t display startup informations.

-V/--version

Print the version number and exit.

-W/--wwwmode

Web-mode: List all hosts and their informations in html-format and exit. Look at sinfo.pl.cgi for a sample cgi-script.

-H/--hostsmode

List all host names of nodes running a sinfod(8) and exit.

-I/--ipmode

List all IPs of nodes running a sinfod(8) and exit.

--hostsandipmode

List all host names and IP addresses of nodes running a sinfod(8) and exit.

-L/--loadmode

List all known host names with the current system load and exit.

-h/--host <host[:port]>

Fetch information from the sinfod(8) running on ’host’ instead of localhost. You may also specify the port number of the sinfod(8) your are connecting to. This option may be useful in cases where ssh(1) or similar programs are used to tunnel the connection from sinfo-client(1) to sinfod(8) through a firewall. It is possible to use multiple -h option to connect to more than one sinfod to monitor more than one network with one sinfo-client process. If your want to set different delays for the connections -d has to be specified prior to the corresponding -h options.

$ sinfo-client -h localhost:60001
(the default values)

$ sinfo-client -h 127.0.0.1:60001
(... if you want to set an IP-address directly)

$ sinfo-client -h my.computer.at.work
(port 60001 will be used as default on my.computer.at.work)

$ ssh -q -C me@my.computer.at.work -L 60002:my.computer.at.work:60001
(establish the tunnel)
$ sinfo-client -h localhost:60002
(connect through the tunnel)

$ sinfo-client -h localhost -h host.on.another.net
(connect two demons to join the sinfo broadcasts of two networks)

--udp / --tcp

Use UDP(default) or TCP to connect to sinfod.

-u/--user <user>

Highlight all processes of ’user’ instead of using environment variable $LOGNAME.

-d/--delay <delay>

Set the delay (in seconds) between two updates. Default is one second.

--filtermarker <marker>

Request only informations matching <marker>.

-s/--systeminfo

Include system information (resolved by a uname -a call) in the list.

-o/--own

Only display your own processes or the processes owned by user ’-u user’ (this overrides the ’-t count’ setting).

-i/--ignore <process>

Don’t display <process> ; --ignore may be set multiple times.

-n/--netload

Display network load.

-D/--diskload

Display disk load (buffer allocation rate) of locally connected disks.

-t/--top <count>

Restrict the number of processes displayed to ’count’.

-c/--scale <scale>

Set the scaling of the CPU load bars to "log", "lin" or "full".

## KEYBOARD COMMANDS

| q |  | Quit sinfo-client. |

PageUp, PageDown

Scroll the screen by one page.

UpArrow, u; DownArrow, d

Scroll the screen by one line.

| Home |  | Jump to the top line.
| s |  | Toggle display of system informations.
| o |  | Toggle display of your own processes.
| n |  | Toggle display of network informations.
| D |  | Toggle display of disk load.
| t |  | Toggle display of the TOP n processes.
| c |  | Toggle the scaling of the CPU load bars form "log", "lin" to full.

## EXIT CODES

The exit codes used by sinfo-client are:

| 0 |  | everything OK |
| 1 |  | Connection to sinfod failed. |

## ENVIRONMENT

HOSTNAME

Highlight $HOSTNAME in sinfo-client’s output.

LOGNAME

Used to determine the name of the user which processes shall be highlighted. May be overridden by the -u option.

| TERM |  | The name of your terminal. Used to select escape sequences out of the terminfo(5) database.

## AUTHOR

Juergen Rinas <jrinas@gmx.de>

## SEE ALSO

sinfod(8),sshallsinfo(1)